Package org.opensaml.xacml.ctx.impl

# Class RequestTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.ctx.impl.RequestTypeImpl

All Implemented Interfaces:
  `XMLObject`, `RequestType`, `XACMLObject`

public class RequestTypeImpl extends AbstractXACMLObject implements RequestType
Concrete implementation of `RequestType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private ActionType`
`action`
The action of the request.
`private EnvironmentType`
`environment`
The environment of the request.
`private XMLObjectChildrenList<ResourceType>`
`resources`
The resources of the request.
`private XMLObjectChildrenList<SubjectType>`
`subjects`
The subjects of the request.

### Fields inherited from interface org.opensaml.xacml.ctx.RequestType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RequestTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ActionType`
`getAction()`
Gets the action from the request.
`EnvironmentType`
`getEnvironment()`
Gets the environment from the request.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`List<ResourceType>`
`getResources()`
Gets the resources from the request.
`List<SubjectType>`
`getSubjects()`
Gets the subjects from the request.
`void`
`setAction(ActionType act)`
Sets the action of the request.
`void`
`setEnvironment(EnvironmentType env)`
Sets the environment of the request.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### subjects

private XMLObjectChildrenList<SubjectType> subjects
The subjects of the request.

### resources

private XMLObjectChildrenList<ResourceType> resources
The resources of the request.

### environment

private EnvironmentType environment
The environment of the request.

### action

private ActionType action
The action of the request.

## Constructor Details

### RequestTypeImpl

protected RequestTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getSubjects

public List<SubjectType> getSubjects()
Gets the subjects from the request.

Specified by:
  `getSubjects` in interface `RequestType`
Returns:
  the subjects from the request

### getResources

public List<ResourceType> getResources()
Gets the resources from the request.

Specified by:
  `getResources` in interface `RequestType`
Returns:
  the resources from the request

### getEnvironment

public EnvironmentType getEnvironment()
Gets the environment from the request.

Specified by:
  `getEnvironment` in interface `RequestType`
Returns:
  the environment from the request

### setEnvironment

public void setEnvironment(EnvironmentType env)
Sets the environment of the request.

Specified by:
  `setEnvironment` in interface `RequestType`
Parameters:
  `env` - environment of the request

### getAction

public ActionType getAction()
Gets the action from the request.

Specified by:
  `getAction` in interface `RequestType`
Returns:
  the action from the request

### setAction

public void setAction(ActionType act)
Sets the action of the request.

Specified by:
  `setAction` in interface `RequestType`
Parameters:
  `act` - action of the request

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements